summaryrefslogtreecommitdiff
path: root/tests/test-nl_langinfo.sh
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2019-03-10 11:32:11 +0100
committerBruno Haible <bruno@clisp.org>2019-03-10 11:32:11 +0100
commit4c0df5be84fc27c52d99576fc82ea88f0385eef1 (patch)
tree8b5ae5090a4807a6c1071e2dff5a4abde196f4b8 /tests/test-nl_langinfo.sh
parent5db7774f1eac47f348237f8cedef9dd37cd79b47 (diff)
downloadgnulib-4c0df5be84fc27c52d99576fc82ea88f0385eef1.tar.gz
tests: Prepare for using valgrind.
tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
Diffstat (limited to 'tests/test-nl_langinfo.sh')
-rwxr-xr-xtests/test-nl_langinfo.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/test-nl_langinfo.sh b/tests/test-nl_langinfo.sh
index 3168f426f2..b1ce46ce09 100755
--- a/tests/test-nl_langinfo.sh
+++ b/tests/test-nl_langinfo.sh
@@ -1,17 +1,17 @@
#!/bin/sh
-LC_ALL=C ./test-nl_langinfo${EXEEXT} 0 || exit 1
+LC_ALL=C ${CHECKER} ./test-nl_langinfo${EXEEXT} 0 || exit 1
# Test whether a specific traditional locale is installed.
: ${LOCALE_FR=fr_FR}
if test $LOCALE_FR != none; then
- LC_ALL=$LOCALE_FR ./test-nl_langinfo${EXEEXT} 1 || exit 1
+ LC_ALL=$LOCALE_FR ${CHECKER} ./test-nl_langinfo${EXEEXT} 1 || exit 1
fi
# Test whether a specific UTF-8 locale is installed.
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR_UTF8 != none; then
- LC_ALL=$LOCALE_FR_UTF8 ./test-nl_langinfo${EXEEXT} 2 || exit 1
+ LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-nl_langinfo${EXEEXT} 2 || exit 1
fi
exit 0